Package org.jfree.layouting.output.pageable

## Class BorderShapeFactory

- java.lang.Object
- - org.jfree.layouting.output.pageable.BorderShapeFactory

-     public class BorderShapeFactory
      extends java.lang.Object

  This class needs attention. Maybe it is wise to split it into several border implementations to reduce the complexity of the whole process.
  Author:
    Thomas Morgner

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `BorderShapeFactory.BorderDrawOperation` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BorderShapeFactory​(RenderBox box)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `generateBorder​(java.awt.Graphics2D g2)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BorderShapeFactory

          public BorderShapeFactory​(RenderBox box)

  - ### Method Detail

    - #### generateBorder

          public void generateBorder​(java.awt.Graphics2D g2)